{$S+}
	Uses 
		testlib;
	Var 
		AnsA, AnsB, OutA, OutB : LongInt;

Procedure Init();
Begin
	AnsA := ans.ReadLongint;
	AnsB := ans.ReadLongint;
	OutA := ouf.ReadLongint;
	OutB := ouf.ReadLongint;
End;

Procedure Check();
Begin
	if (((AnsA = OutA) And (OutB = AnsB)) Or
	    ((AnsA = OutB) And (OutA = AnsB))) Then
	    	Quit(_OK,'');
	Quit(_WA,'')
End;


Begin
	Init();
	Check();
End.